(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15450,        356]
NotebookOptionsPosition[     14958,        335]
NotebookOutlinePosition[     15434,        354]
CellTagsIndexPosition[     15391,        351]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"x", "^", "2"}]}], ",", 
      RowBox[{"a", "=", "2"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<a = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "a", "]"}], "]"}]}], "}"}], "]"}], ","}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<b = \>\"", ",", 
            RowBox[{"InputField", "[", 
             RowBox[{"Dynamic", "[", "b", "]"}], "]"}]}], "}"}], "]"}], ","}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"as", "=", 
            RowBox[{"N", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"bs", "=", 
            RowBox[{"N", "[", "b", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"ass", "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"x", "\[Rule]", "a"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"bss", "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"x", "\[Rule]", "b"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"approxslope", "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"bss", "-", "ass"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"bs", "-", "as"}], ")"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"l", ":=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "-", "0.5"}], ",", 
              RowBox[{"a", "-", "0.1"}], ",", 
              RowBox[{"a", "-", "0.01"}], ",", 
              RowBox[{"a", "-", "0.001"}], ",", 
              RowBox[{"a", "-", "0.0001"}], ",", 
              RowBox[{"a", "-", "0.00001"}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"r", ":=", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"a", "+", "0.5"}], ",", 
              RowBox[{"a", "+", "0.1"}], ",", 
              RowBox[{"a", "+", "0.01"}], ",", 
              RowBox[{"a", "+", "0.001"}], ",", 
              RowBox[{"a", "+", "0.0001"}], ",", 
              RowBox[{"a", "+", "0.00001"}]}], "}"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Framed", "@", 
            RowBox[{"Text", "@", 
             RowBox[{"Column", "[", 
              RowBox[{
               RowBox[{"{", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<b = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"bs", ",", "15"}], "]"}]}], "}"}], "]"}], ",", 
                   "Black", ",", "16"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<[f(\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"bs", ",", "15"}], "]"}], ",", "\"\<) - f(\>\"", 
                    ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}], ",", 
                    "\"\<)]/[\>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"bs", ",", "15"}], "]"}], ",", "\"\< - \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}], ",", 
                    "\"\<] = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "approxslope", "]"}]}], 
                    "}"}], "]"}], ",", "Purple", ",", "16"}], "]"}], ","}], 
                  "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"Style", "[", 
                  RowBox[{
                   RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*FractionBox[\(f \((b)\) - \(\(f\) \((a)\)\(\\\ \
\)\)\), \(b - a\)]\) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "approxslope", "]"}]}], 
                    "}"}], "]"}], ",", "Purple", ",", "16"}], "]"}]}], 
                "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}]}], ",",
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "2", ",", "\"\<a\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", " ", "1", ",", "2", ",", "3", ",", "4"}], 
             "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2", "-", "0.5"}], ",", 
              RowBox[{"2", "-", "0.1"}], ",", 
              RowBox[{"2", "-", "0.01"}], ",", 
              RowBox[{"2", "-", "0.001"}], ",", 
              RowBox[{"2", "-", "0.0001"}], ",", 
              RowBox[{"2", "-", "0.00001"}]}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"Dynamic", "[", "l", "]"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            RowBox[{"Dynamic", "[", "r", "]"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, {3.555940898554435*^9, 3.5559409036659107`*^9}, {
   3.5674228869702253`*^9, 3.567422954616028*^9}, {3.567422998541071*^9, 
   3.567423056932057*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2, $CellContext`a$$ = 
   2}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`as = N[$CellContext`a$$]; $CellContext`bs = 
           N[$CellContext`b]; $CellContext`ass = N[
             
             ReplaceAll[$CellContext`q$$, $CellContext`x -> \
$CellContext`a$$]]; $CellContext`bss = N[
             
             ReplaceAll[$CellContext`q$$, $CellContext`x -> $CellContext`b]]; \
$CellContext`approxslope = 
           N[($CellContext`bss - $CellContext`ass)/($CellContext`bs - \
$CellContext`as)]; $CellContext`l := {$CellContext`a$$ - 
             0.5, $CellContext`a$$ - 0.1, $CellContext`a$$ - 
             0.01, $CellContext`a$$ - 0.001, $CellContext`a$$ - 
             0.0001, $CellContext`a$$ - 
             0.00001}; $CellContext`r := {$CellContext`a$$ + 
             0.5, $CellContext`a$$ + 0.1, $CellContext`a$$ + 
             0.01, $CellContext`a$$ + 0.001, $CellContext`a$$ + 
             0.0001, $CellContext`a$$ + 0.00001}; Framed[
            Text[
             Column[{
               Style[
                Row[{"f(x) = ", 
                  TraditionalForm[$CellContext`q$$]}], Black, 16], 
               Style[
                Row[{"a = ", 
                  TraditionalForm[$CellContext`a$$]}], Black, 16], 
               Style[
                Row[{"b = ", 
                  NumberForm[$CellContext`bs, 15]}], Black, 16], 
               Style[
                
                Row[{"\!\(\*FractionBox[\(f \((b)\) - \(\(f\) \((a)\)\(\\ \
\)\)\), \(b - a\)]\) = ", 
                  TraditionalForm[$CellContext`approxslope]}], Purple, 16]}, 
              Alignment -> Center]]], {{$CellContext`a$$, 2, "a"}, {0, 1, 2, 
           3, 4}, ControlType -> Setter}, {$CellContext`b, {
           2 - 0.5, 2 - 0.1, 2 - 0.01, 2 - 0.001, 2 - 0.0001, 2 - 0.00001}, 
           ControlType -> None}, {$CellContext`b, 
           Dynamic[$CellContext`l], ControlType -> Setter}, {$CellContext`b, 
           Dynamic[$CellContext`r], ControlType -> Setter}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{300., {135., 141.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.5558966077469673`*^9, 3.555896631088222*^9}, 
   3.5559408679302273`*^9, 3.555940910862349*^9, 3.555940997463869*^9, {
   3.5674230097996817`*^9, 3.567423025611109*^9}, {3.567423059058565*^9, 
   3.567423077957129*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Rate of Change Approximations Demo\>\"", "\n", 
   RowBox[{"By", ":", " ", 
    RowBox[{"Ethan", " ", "Bloch"}]}]}]}]], "Input",
 CellChangeTimes->{{3.55463701035231*^9, 3.55463704982864*^9}, 
   3.554639610071045*^9, {3.555853517958404*^9, 3.5558535258205967`*^9}, {
   3.559236832098619*^9, 3.559236832992412*^9}, 3.5674230749389887`*^9}]
},
WindowToolbars->{},
WindowSize->{1120, 995},
WindowMargins->{{-15, Automatic}, {Automatic, 57}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 10864, 232, 917, "Input"],
Cell[11446, 256, 3010, 65, 350, "Output"]
}, Open  ]],
Cell[14471, 324, 483, 9, 91, "Input"]
}
]
*)

(* End of internal cache information *)
